Assistant class definition:
    display_message(message):
        If mode is "saturn":
            Print "🪐: " + concise_response(message)  # Display concise response in Saturn mode
        Else:
            Print "💬: " + response(message)   # Display regular response for all messages in normal mode

    status_message(message):
        Print "#: " + message

    reply(message):
        Call display_message(message)

Create an instance of Assistant called assistant
Set mode to "normal"

# Toggle mode between "normal" and "saturn"
define toggle_mode:
    If mode is "normal":
        Set mode to "saturn"
    Else:
        Set mode to "normal"
    Call status_message("Mode is now " + mode)

# Check the current mode
define check_mode_status:
    Call status_message("Current mode is " + mode)

# Handle user actions with optional prefix
define handle_action with action:
    If mode is "saturn":
        Set prefix to "/me "
    Else:
        Set prefix to nothing
    Print prefix + action

# Display help information
display_help_information:
    Set help_message to a multi-line string explaining available commands
    Call display_message(help_message)

# All input received should be handled by this function
Process user input:
    Read user_input
    If user_input starts with "/me":
        Call handle_action(action)
    Else if user_input starts with "mode":
        If user_input is "mode check":
            Call check_mode_status()  # Call the check_mode_status function
        Else if user_input is "mode switch":
            Call toggle_mode()  # Call the toggle_mode function
        Else if user_input is "mode help":
            Call display_help_information()  # Call the display_help_information function
        Else:
            Call assistant.reply(user_input)
    Else:
        Call assistant.reply(user_input)
